# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_DataMapIteratorOfPointEdgeMap Class Reference

`#include <StepToTopoDS_DataMapIteratorOfPointEdgeMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_DataMapIteratorOfPointEdgeMap ()
Standard_EXPORT | StepToTopoDS_DataMapIteratorOfPointEdgeMap (const StepToTopoDS_PointEdgeMap &aMap)
Standard_EXPORT void | Initialize (const StepToTopoDS_PointEdgeMap &aMap)
Standard_EXPORT const StepToTopoDS_PointPair & | Key () const
Standard_EXPORT const TopoDS_Edge & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_DataMapIteratorOfPointEdgeMap::StepToTopoDS_DataMapIteratorOfPointEdgeMap | ( |  | ) |

Standard_EXPORT StepToTopoDS_DataMapIteratorOfPointEdgeMap::StepToTopoDS_DataMapIteratorOfPointEdgeMap | ( | const StepToTopoDS_PointEdgeMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void StepToTopoDS_DataMapIteratorOfPointEdgeMap::Initialize | ( | const StepToTopoDS_PointEdgeMap & | aMap | ) |

Standard_EXPORT const StepToTopoDS_PointPair& StepToTopoDS_DataMapIteratorOfPointEdgeMap::Key | ( |  | ) | const

void StepToTopoDS_DataMapIteratorOfPointEdgeMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepToTopoDS_DataMapIteratorOfPointEdgeMap::operator new | ( | size_t | size | ) | `[inline]`

void* StepToTopoDS_DataMapIteratorOfPointEdgeMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TopoDS_Edge& StepToTopoDS_DataMapIteratorOfPointEdgeMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepToTopoDS_DataMapIteratorOfPointEdgeMap.hxx